PostZen
Analytics

Get a post analytics timeline

GET
/v1/analytics/post-timeline

Coming soon — Analytics endpoints are being rolled out and may return empty data until the rollout completes.

Returns one daily row per platform for a PostZen post, imported external post, or platform post id.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Query Parameters

postId*string

PostZen post id, external post id, analytics row id, or platform post id.

fromDate?|

Inclusive range start. Defaults to 90 days before toDate.

toDate?|

Inclusive range end. Defaults to the current time.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/analytics/post-timeline?postId=string"
{  "postId": "string",  "timeline": [    {      "date": "2019-08-24",      "platform": "x",      "platformPostId": "string",      "impressions": 0,      "reach": 0,      "likes": 0,      "comments": 0,      "shares": 0,      "saves": 0,      "clicks": 0,      "views": 0    }  ]}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "string"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "rate_limited",  "retryAfter": 30}
{  "error": "Failed to create post"}